### Function

# Vips error_exit

#### Declaration [src]

    void
    vips_error_exit (
      const char* fmt,
      ...
    )

#### Description [src]

Sends a formatted error message to stderr, then sends the contents of the error buffer, if any, then shuts down vips and terminates the program with an error code.

`fmt` may be `NULL`, in which case only the error buffer is printed before exiting.

See also

`vips_error()`.

This function is not directly available to language bindings.

#### Parameters

`fmt`

  Type: `const char*`

  `printf()`-style format string for the message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to the format string.